.. AUTO-GENERATED FILE. DO NOT EDIT. /caferimo-recipes-delete-one ============================ Summary ------- - **Source repository:** ``jef-systems/jef-caferimo-backend`` - **Source SHA:** ``34c5a4f7f6891cb316e3bb2803081a3c35d4aa22`` - **Source run id:** ``25862680282`` - **Lambda function:** ``jef-caferimo-recipes-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/caferimo-recipes-delete-one`` - **Endpoint URL:** ``https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-caferimo-recipes-delete-one - ``Module``: jef-caferimo - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /caferimo-recipes-delete-one - ``Table``: jef-caferimo-recipes - ``Primary Key``: recipe\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``recipe\_id``: 330dd449-4497-4b0e-bab6-705da7fc8d66 Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.recipe_id.type", "value": "S" }, { "key": "root.attributes.recipe_id.required", "value": "True" }, { "key": "root.attributes.recipe_id.format", "value": "uuidv4" }, { "key": "root.attributes.recipe_id.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "recipe_id", "value": "330dd449-4497-4b0e-bab6-705da7fc8d66" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw "{\"recipe_id\": \"330dd449-4497-4b0e-bab6-705da7fc8d66\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw '{"recipe_id": "330dd449-4497-4b0e-bab6-705da7fc8d66"}'